/Users/bernard/b20/bsoft/include/rwEM.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwEM.h - Header file for reading and writing EM files.

SYNOPSIS

#include 'rwimg.h'

  Classes
struct EMhead

  Macros
#define EMSIZE 512

  Functions
int readEM (Bimage *p, int readdata)
Reading a EM map image file format. A 3D image format used in electron microscopy. Header size: 512 bytes (fixed). File format extensions: .em, .EM The identifier is a machine stamp in the first byte: 0 OS-9 1 VAX (VMS little endian) 2 CONVEX (historical) 3 SGI IRIX, Linux (big endian) 4 SUN 5 MAC 6 DEC UNIX, Linux (little endian) (Note: not always implemented - so unreliable) Byte order determination: The z-dimension value must be less than 256*256. Data types: 1 = byte, 2 = short, 4 = int, 5 = float, 8 = complex float. Transform type: Hermitian The x-dimension contains the x-size of the full transform.
int writeEM (Bimage *p)
Writing a EM map image file format. A 3D image format used in electron microscopy.

Detailed Description

Header file for reading and writing EM files.

Author:
    Bernard Heymann

Date:
    Created: 19990418

    Modified: 20111217

    Format: 3D image file format for the EM package

Definition in file rwEM.h.

Macro Definition Documentation

  #define EMSIZE 512

Definition at line 13 of file rwEM.h.

Function Documentation

  int readEM (Bimage * p, int readdata)

Reading a EM map image file format. A 3D image format used in electron microscopy. Header size: 512 bytes (fixed). File format extensions: .em, .EM The identifier is a machine stamp in the first byte: 0 OS-9 1 VAX (VMS little endian) 2 CONVEX (historical) 3 SGI IRIX, Linux (big endian) 4 SUN 5 MAC 6 DEC UNIX, Linux (little endian) (Note: not always implemented - so unreliable) Byte order determination: The z-dimension value must be less than 256*256. Data types: 1 = byte, 2 = short, 4 = int, 5 = float, 8 = complex float. Transform type: Hermitian The x-dimension contains the x-size of the full transform.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.

Returns:
    int error code (<0 means failure).

Definition at line 41 of file rwEM.cpp.

  int writeEM (Bimage * p)

Writing a EM map image file format. A 3D image format used in electron microscopy.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure).

Definition at line 115 of file rwEM.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.